Subject: Re: [PATCH v6 2/2] refs.c: SSE4.2 optimizations for check_refname_component

From: David Turner <[email-masked]>
Date: Thu, 05 Jun 2014 15:26:02 -0400

On Thu, 2014-06-05 at 14:30 +0200, Torsten Bögershausen wrote:
> On 2014-06-04 23.16, David Turner wrote:
> > 
> > Sure!  I actually went with > 120k to make measurement easier:
> > https://github.com/dturner-tw/many-refs
> Hm, I didn't get so man
> 
> git remote -v
> origin  https://github.com/dturner-tw/many-refs 
> 
>  wc .git/packed-refs 
>      750    1130   38868 .git/packed-refs
> 

Oops.  It looks like I forgot to push all of the refs.  And when I try,
it fails with "fatal: cannot exec 'send-pack': Argument list too long"

I hacked git to send batches of 1000; maybe I'll actually make a real
patch with ARG_MAX at some point. Anyway, this is uploading now, but I
estimate that it will take at least five hours, because github is being
really slow about this.

...
> where only patch 1/2 doesn't seem to speed up things on my system:
...

I would not expect a noticeable change on a tiny number of refs; it's
only when ref parsing takes up a large percentage of runtime -- tens of
thousands of refs.